[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Objects

Provides indexed access to the Data for a check box defined in Items.

## Declaration

Source position: comboex.pas line 327

`public property TCustomCheckCombo.Objects[AIndex: Integer] : TObject read GetObject write SetObject;`

## Description

Objects is an indexed TObject property which provides access to the Data for a check box defined in Items. AIndex specifies the ordinal position in Items for the check box. Objects return the value from the TCheckComboItemState object stored in the Items property. The object instance is the property value that represents the content stored in the TCheckComboItemState.Data property.

## See also

TCheckComboItemState.Data |  | Contains arbitrary data associated with a check box item.